#ifndef %{APPNAME}_NETWORK_MODULE_H
#define %{APPNAME}_NETWORK_MODULE_H

#include <module.h>

class VirtualModule : Module {

signals:
    void updateInterface(Interface* i );

public:
    VirtualModule();
    ~VirtualModule();

    const TQString type() {return TQString::fromLatin1("vpn" );}
    void setProfile( const TQString& ) {}
    bool isOwner( Interface* );
    TQWidget *configure( Interface* );
    TQWidget *information(  Interface* );
    TQPtrList<Interface> getInterfaces();
    void possibleNewInterfaces( TQMap<TQString, TQString>& );
    Interface *addNewInterface( const TQString& );
    bool remove( Interface* iface );
    TQString getPixmapName( Interface*  ) {return TQString::fromLatin1("Tux"); }
    void receive( const TQCString&, const TQByteArray& ar ) {} // don't listen
private:
    TQPtrList<Interface> m_interfaces;
};

extern "C" {
    void* create_plugin() {
        return new VirtualModule();
    }
};

#endif
